> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List personnel related events by LinkedIn URL



## OpenAPI

````yaml /openapi.json get /external/personnel/events/by-linkedin
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/personnel/events/by-linkedin:
    get:
      tags:
        - Personnel
      summary: List personnel related events by LinkedIn URL
      operationId: listPersonnelEventsByLinkedin
      parameters:
        - name: linkedin_url
          in: query
          required: true
          schema:
            type: string
            maxLength: 500
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Personnel profile and related events
          content:
            application/json:
              schema:
                type: object
                required:
                  - personnel
                  - events
                properties:
                  personnel:
                    $ref: '#/components/schemas/ContactItem'
                  events:
                    $ref: '#/components/schemas/EventPage'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    Page:
      name: page
      in: query
      schema:
        type: integer
        minimum: 1
        default: 1
    PageSize:
      name: pageSize
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
  schemas:
    ContactItem:
      type: object
      required:
        - id
        - fullName
        - contactUnlockStatus
      properties:
        id:
          type: string
        fullName:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        seniorityLevel:
          type:
            - string
            - 'null'
        linkedinUrl:
          type:
            - string
            - 'null'
        companyName:
          type:
            - string
            - 'null'
        sourceType:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        contactUnlockStatus:
          type: string
        linkedinActivity:
          type:
            - object
            - 'null'
          properties:
            activityLevel:
              type: string
            isActive:
              type: boolean
            latestPostAt:
              type:
                - string
                - 'null'
        linkedinActivityStatus:
          type:
            - string
            - 'null'
    EventPage:
      type: object
      required:
        - items
        - total
        - page
        - pageSize
        - totalPages
        - hasMore
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EventItem'
        total:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        totalPages:
          type: integer
        hasMore:
          type: boolean
      additionalProperties: true
    EventItem:
      type: object
      required:
        - id
        - eventId
        - name
      properties:
        id:
          type: string
        eventId:
          type: string
        name:
          type:
            - string
            - 'null'
        nickname:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        dateStart:
          type:
            - string
            - 'null'
          format: date
        dateEnd:
          type:
            - string
            - 'null'
          format: date
        venue:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        exhibitorCount:
          type:
            - integer
            - 'null'
        image:
          type:
            - string
            - 'null'
        dataSource:
          type:
            - string
            - 'null'
      additionalProperties: true
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````